summaryrefslogtreecommitdiffstats
path: root/deps/virtuoso-ose
diff options
context:
space:
mode:
Diffstat (limited to 'deps/virtuoso-ose')
-rw-r--r--deps/virtuoso-ose/virtuoso-opensource-6.1.3.unicode.patch16
-rwxr-xr-xdeps/virtuoso-ose/virtuoso-ose.SlackBuild11
2 files changed, 24 insertions, 3 deletions
diff --git a/deps/virtuoso-ose/virtuoso-opensource-6.1.3.unicode.patch b/deps/virtuoso-ose/virtuoso-opensource-6.1.3.unicode.patch
new file mode 100644
index 0000000..6aa5e5a
--- /dev/null
+++ b/deps/virtuoso-ose/virtuoso-opensource-6.1.3.unicode.patch
@@ -0,0 +1,16 @@
+--- libsrc/Wi/xqf.c 3 Mar 2011 11:56:45 -0000 1.21.2.9
++++ libsrc/Wi/xqf.c 26 Aug 2011 19:34:56 -0000 1.21.2.12
+@@ -3520,6 +3552,12 @@
+ desc = xqf_str_parser_descs + desc_idx;
+ if (DV_DB_NULL == arg_dtp)
+ return NEW_DB_NULL;
++ /* if we have wide and we want typed string we do utf8, cast do to default charset so we do not do it */
++ if (DV_WIDE == arg_dtp && desc->p_dest_dtp == DV_STRING)
++ {
++ res = box_wide_as_utf8_char (arg, box_length (arg) / sizeof (wchar_t) - 1, DV_STRING);
++ goto res_ready;
++ }
+ if (DV_STRING != arg_dtp)
+ {
+ caddr_t err = NULL;
+
diff --git a/deps/virtuoso-ose/virtuoso-ose.SlackBuild b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
index 5dd4fe5..9cbe778 100755
--- a/deps/virtuoso-ose/virtuoso-ose.SlackBuild
+++ b/deps/virtuoso-ose/virtuoso-ose.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2009, 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=virtuoso-opensource
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -61,6 +61,11 @@ cd $TMP
rm -rf virtuoso-opensource-$VERSION
tar xvf $CWD/virtuoso-opensource-$VERSION.tar.xz || exit 1
cd virtuoso-opensource-$VERSION || exit 1
+
+# Apply a patch that fixes Unicode issue as described here:
+# https://bugs.kde.org/show_bug.cgi?id=271664
+cat $CWD/virtuoso-opensource-6.1.3.unicode.patch | patch -p0 --verbose || exit
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \